<?php 
if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly
}

$products = $this->products;

function isActive($key, $products) {
    return ($products[$key]['active'] ?? false) && !($products[$key]['fs'] ?? false);
}

function render_license_form($products, $key, $addon) {
    $value = esc_attr($products[$key]['key']);
    $display_activate = empty($value) ? '' : 'display: none;';
    $display_deactivate = !empty($value) ? '' : 'display: none;';
    echo "<form method='post' id='form-{$key}' class='addon-license-form'>";
    echo "<table class='form-table'>";
    echo "<tr valign='top'>
        <th scope='row'>" . __($addon['name'], 'real3d-flipbook') . "</th>
        <td>
            <input type='text' id='{$key}_license' name='{$key}_license' value='{$value}' placeholder='Enter License Code' style='width: 320px;' />
            <input type='button' disabled id='activate-{$key}' class='button button-primary' value='" . __('Activate', 'real3d-flipbook') . "' style='{$display_activate}' />
            <input type='button' id='deactivate-{$key}' class='button button-primary' value='" . __('Deactivate', 'real3d-flipbook') . "' style='{$display_deactivate}' />
        </td>
    </tr>";
    echo "</table>";
    echo "</form>";
}

?>
<div class="wrap">
	<h1><?php _e('License Settings', 'real3d-flipbook'); ?></h1>
	<p><?php _e("This page allows you to activate or deactivate your Real3D Flipbook and addons licenses.", 'real3d-flipbook'); ?>
	<p><?php _e("Please enter your Envato license codes to activate your licenses.", 'real3d-flipbook'); ?>
	</p>
	<?php 
    // Render form for the main Real3D Flipbook product
    render_license_form($products, 'r3d', ['name' => 'Real3D Flipbook']);

    $addons_form = false;
    foreach ($products as $key => $addon) {
        if (isActive($key, $products)) {
			if(!$addons_form){
				render_license_form($products, 'addons', ['name' => 'Addons Bundle']);
				$addons_form = true;
			}
            render_license_form($products, $key, $addon);
        }
    }
    ?>
	<div>
		<a href="<?php echo esc_url('https://help.market.envato.com/hc/en-us/articles/202822600-Where-Is-My-Purchase-Code'); ?>"
			target="_blank"><?php _e('Where can I find my License Code?', 'real3d-flipbook'); ?></a>


	</div>

</div>
<?php
wp_enqueue_script("real3d-flipbook-license", $this->PLUGIN_DIR_URL."js/license.js", array('jquery'), $this->PLUGIN_VERSION);
$r3d_nonce = wp_create_nonce("r3d_nonce");
wp_localize_script('real3d-flipbook-license', 'r3d_ajax', array('nonce' => $r3d_nonce));
?>